Skip to main content
Get interest payments history
curl --request POST \
  --url https://whitebit.com/api/v4/main-account/smart/interest-payment-history \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "planId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
  "ticker": "USDT",
  "request": "{{request}}",
  "nonce": 1594297865000
}
'
import requests

url = "https://whitebit.com/api/v4/main-account/smart/interest-payment-history"

payload = {
    "planId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
    "ticker": "USDT",
    "request": "{{request}}",
    "nonce": 1594297865000
}
headers = {
    "X-TXC-APIKEY": "<api-key>",
    "X-TXC-PAYLOAD": "<api-key>",
    "X-TXC-SIGNATURE": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-TXC-APIKEY': '<api-key>',
    'X-TXC-PAYLOAD': '<api-key>',
    'X-TXC-SIGNATURE': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    planId: '8e667b4a-0b71-4988-8af5-9474dbfaeb51',
    ticker: 'USDT',
    request: '{{request}}',
    nonce: 1594297865000
  })
};

fetch('https://whitebit.com/api/v4/main-account/smart/interest-payment-history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "offset": 0,
  "limit": 100,
  "records": [
    {
      "planId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
      "investmentId": "0d7b66ff-1909-4938-ab7a-d16d9a64dcd5",
      "amount": "10",
      "ticker": "USDT",
      "timestamp": 1646839596
    }
  ]
}
{
  "code": 0,
  "message": "Validation failed",
  "errors": {
    "planId": [
      "The selected planId is invalid."
    ],
    "ticker": [
      "The selected ticker is invalid."
    ]
  }
}
These endpoints are available only for B2B partner services. Fill the form at https://whitebit.com/institutional-services/b2b to request access.

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
request
string
required

Request signature

Example:

"{{request}}"

nonce
integer
required

Unique request identifier

Example:

1594297865000

planId
string

Invest plan identifier

Example:

"8e667b4a-0b71-4988-8af5-9474dbfaeb51"

ticker
string

Invest plan target currency's ticker

Example:

"USDT"

limit
integer
default:100

LIMIT is a special clause used to limit records a particular query can return.

Required range: 1 <= x <= 100
Example:

100

offset
integer
default:0

Use the OFFSET clause to return entries starting from a particular line.

Required range: 0 <= x <= 10000
Example:

0

Response

Successful response

offset
integer
limit
integer
records
object[]